//
//  ViewController.m
//  轮播图
//
//  Created by 党玉华 on 2017/10/30.
//  Copyright © 2017年 winner. All rights reserved.
//

#import "ViewController.h"

#import <SDCycleScrollView.h>

@interface ViewController ()<SDCycleScrollViewDelegate>
@property (strong , nonatomic)SDCycleScrollView *cycleScrollView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    _cycleScrollView = [SDCycleScrollView cycleScrollViewWithFrame:CGRectMake(0, 0, self.view.bounds.size.width, 300) delegate:self placeholderImage:nil];
    //多种样式可供选择
    _cycleScrollView.bannerImageViewContentMode = UIViewContentModeScaleAspectFit;
    //间隔
    _cycleScrollView.autoScrollTimeInterval = 3.0;
    //可用网络图片，也可用本地图片
    _cycleScrollView.imageURLStringsGroup = @[@"http://gfs17.gomein.net.cn/T1peVTB7A_1RCvBVdK_360.jpg",@"http://gfs17.gomein.net.cn/T1zebTBsZg1RCvBVdK_360.jpg",@"http://gfs17.gomein.net.cn/T1BwbTBvJg1RCvBVdK_360.jpg",@"http://gfs13.gomein.net.cn/T1aT_TBbEg1RCvBVdK_800.jpg",@"http://gfs12.gomein.net.cn/T12SLTB4xv1RCvBVdK_800.jpg"];
    _cycleScrollView.currentPageDotColor = [UIColor greenColor];
    _cycleScrollView.pageDotColor = [UIColor yellowColor];
    [self.view addSubview:_cycleScrollView];
    //更多属性请查看手册
}

- (void)cycleScrollView:(SDCycleScrollView *)cycleScrollView didSelectItemAtIndex:(NSInteger)index {
    NSLog(@"点击了%zd轮播图",index);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
